<?php
/**
 * Template Name: Blog
 * User: shahnuralam
 * Date: 4/15/18
 * Time: 9:10 PM
 */
if (!defined('ABSPATH')) die();

get_header();
?>


<!--=== blog posts ===-->
    <section class="product product-category all-blog-posts">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="category-tools text-center">
                        <div class="category-title">
                            <h3><?php the_post(); the_title(); ?></h3>
                            <p><?php echo get_post_meta(get_the_ID(), 'sub_title', true); ?></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <?php
                $q = new WP_Query(array('post_type' => 'post'));
                while($q->have_posts()){ $q->the_post(); ?>
                <div class="col-lg-3 col-md-4 col-sm-6">
                    <div class="product__item blog-page-post">
                        <div class="card">
                            <div class="product__item-img">
                                <?php wpdm_post_thumb(array(600, 400), array('class' => 'card-img-top img-fluid product-face')); ?>
                            </div>
                            <div class="product__content-inner card-body">
                                <div class="float-right"><i class="ion-calendar"></i> <?php echo get_the_date(); ?></div>
                                <div class="product-admin"><a href="#"> <?php echo get_avatar($post->post_author,16); the_author(); ?></a></div>
                                <div class="product__title-price">
                                    <a href="<?php the_permalink(); ?>"><h5 class="card-title"><?php the_title(); ?></h5></a>
                                    <p><?php the_excerpt(); ?></p>
                                    <a class="read-more-btn" href="<?php the_permalink(); ?>">Read More<i class="ion ion-android-arrow-forward"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php } ?>

                <div class="col-12 mt-5">
                    <div class="text-center">
                        <?php
                        global $wp_query;
                        if (  $wp_query->max_num_pages > 1 ) : ?>
                            <div class="clear"></div>
                            <div id="nav-below" class="navigation post box arc">
                                <?php get_template_part('pagination'); ?>
                            </div><!-- #nav-below -->
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>

   <?php
get_footer();